#ifndef _COMMON_AUX_METHODS_H
#define _COMMON_AUX_METHODS_H

/*methods provided by LE */
void composite_aux_get_cursor_position(aux_ext_data_t *aux_ext_data, int *pos_x, int *pos_y);
void composite_aux_Connect_To_LE_Request(int locale_id);
int NotifyIntegerListDataToLanguageEngine(Display * display, int nIntegerCount, int *pIntegerList);
int NotifyStringListDataToLanguageEngine(Display * display, int nIntegerCount, int *pIntegerList, int nStringCount, int *pStringLen, char **pStringList);

/*methods to be implemented */
void composite_aux_Proc_LE_Notify(aux_ext_data_t * aux_ext_data);


#endif
